# substring-after

Returns that part of the given input string that occurs after the first occurrence of the string given in $operand2

substring-after($arg1 as xs:string?, $arg2 as xs:string?) → xs:string

Arguments
| $arg1 | xs:string? | The input string
| $arg2 | xs:string? | A substring of the input string; the function returns the rest of the input string after this substring
Result | xs:string

substring-after($arg1 as xs:string?, $arg2 as xs:string?, $collation as xs:string) → xs:string

Arguments
| $arg1 | xs:string? | The input string
| $arg2 | xs:string? | A substring of the input string; the function returns the rest of the input string after this substring
| $collation | xs:string | The collation to be used for comparing characters
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next